from typing import Optional

from api_graphql.abc.filter_abc import FilterABC


class FuzzyFilter(FilterABC):
    def __init__(
        self,
        obj: Optional[dict],
    ):
        FilterABC.__init__(self, obj)

        self.add_field("fields", list)
        self.add_field("term", str)
        self.add_field("threshold", int)
